# Type alias PluginRoute

PluginRoute: {
callback: (({ req, res }) => void);
method?: string;
noCsrf?: boolean;
url: string;
}

#### Type declaration

- ##### callback: (({ req, res }) => void)

  - - ({ req, res }): void

    - #### Parameters

      - ##### { req, res }: {
        req: any;
        res: any;
        }

        - ##### req: any

        - ##### res: any

      #### Returns void

- ##### `Optional` method?: string

- ##### `Optional` noCsrf?: boolean

- ##### url: string

- Defined in saltcorn-types/base_types.ts:630

Generated using TypeDoc